<ng-container *ngIf="post$ | async as post">
  <form [formGroup]="form" (ngSubmit)="onAddComment(form)" class="form">
    <div class="post-modal">
      <div class="avatar" *ngIf="post.type !== 'video'">
        <img [src]="getUrl(post.image)" ngbAutofocus />
      </div>
      <div class="video" *ngIf="post.type === 'video'">
        <video controls ngbAutofocus>
          <source [src]="getUrl(post.image)" />
        </video>
      </div>
      <div class="body">
        <div style="padding-top:10px;" (click)="gotoProfile(post.post_by.id)">
          <img
            [src]="post.post_by.image !== null ? decode(post.post_by.image) : 'assets/images/no-image.png'"
            alt=""
            class="comment-box-avatar"
          />
          &nbsp;{{ post.post_by.fname }}
        </div>
        <div></div>
        <div class="caption">{{ post.caption }}</div>
        <div class="options">
          <button type="button" class="big like" (click)="onLikePost(post)">
            {{ post.likes.length }}
            <i
              class="fa fa-heart option"
              [ngStyle]="{
                'color': findIdEqualUserId(post.likes) ? '#f36621' : null
              }"
            ></i>
          </button>

          <!-- <div *ngIf="userWallet != null" class="tip-icon" aria-label="My icon" [inlineSVG]="'assets/svg/tip.svg'"
            (click)="showQrCode(qrContent)">
          </div> -->
          <div
            *ngIf="userWallet != null"
            class="tip-icon"
            aria-label="My icon"
            [inlineSVG]="'assets/svg/tip.svg'"
            (click)="openTipModal(userWallet)"
          ></div>
          <!-- <div class="share-icon" aria-label="My icon" [inlineSVG]="'assets/svg/share.svg'"></div> -->
          <button type="button" class="delete" *ngIf="userId === post.user_id" (click)="onDeletePost(post)">
            Delete
          </button>
          <button style="float:left" type="button" class="delete">
            Pin Post
          </button>
        </div>
        <div class="comment-text">Comments</div>
        <div class="comments">
          <div class="single-comment" *ngFor="let comment of post.comments; let i = index">
            <div>
              <img
                (click)="gotoProfile(comment.user.id)"
                [src]="getImage(comment.user.image)"
                alt=""
                class="comment-avatar"
              />
            </div>
            <div class="comment-content">
              <div class="comment-body">
                <div class="name" *ngIf="comment.user.social_account === null" (click)="gotoProfile(comment.user.id)">
                  {{ comment.user.fname }} {{ comment.user.lname }}
                  <span class="date">{{ comment.created_at | dateAgo }}</span>
                </div>
                <div class="name" *ngIf="comment.user.social_account !== null">
                  {{ comment.user.fname }}
                  <span class="date">{{ comment.created_at | dateAgo }}</span>
                </div>
                {{ comment.comment }}
              </div>
              <div class="comment-options">
                <button type="button" class="like" (click)="onLikeComment(comment)">
                  {{ comment.likes.length }}
                  <i
                    class="fa fa-heart"
                    [ngStyle]="{
                      'color': findIdEqualUserId(comment.likes) ? '#f36621' : null
                    }"
                  ></i>
                </button>
                <!-- <i class="fa fa-comment comment"></i> -->
                <button
                  type="button"
                  class="delete"
                  *ngIf="userId === comment.user_id"
                  (click)="onDeleteComment(comment)"
                >
                  Delete
                </button>
              </div>
            </div>
          </div>
          <div class="comment-box">
            <img
              [src]="profilePhoto ? getImage(profilePhoto) : 'assets/images/no-image.png'"
              alt=""
              class="comment-box-avatar"
            />
            <input type="text" class="comment-box-input" placeholder="Add a comment" formControlName="comment" />
            <button type="submit" class="comment-box-button" [disabled]="form.invalid">
              Submit
            </button>
          </div>
        </div>
      </div>
    </div>
  </form>

  <!-- Address QR Code Modal -->
  <ng-template #qrContent let-modal>
    <div class="modal-body">
      <div class="qrCanvass">
        <div class="qrPanel">
          <p class="modalTitle">Scan Wallet Address</p>
          <div class="input-group">
            <input type="text" class="form-control" value="{{ userWallet }}" readonly />
          </div>
          <ngx-qrcode [(qrc-value)]="userWallet"></ngx-qrcode>
          <p class="modalFooter">Open your ProximaX Mobile Wallet to proceed</p>
          <div class="modalImage"><img src="../../../assets/images/wallet_icon.png" alt="wallet" /></div>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-outline-dark" (click)="modal.close('Save click')">Close</button>
    </div>
  </ng-template>
</ng-container>
